helpGnuTLS - Support: sr #108674, Request for feature, support for...

 
 

sr #108674: Request for feature, support for SSLv23

Submitted by:  bitto <bitto>
Submitted on:  Thu 23 Oct 2014 09:29:18 PM UTC  
 
Category:  Core library Priority:  5 - Normal
Severity:  6 - Security Status:  Invalid
Privacy:  Public Assigned to:  None
Open/Closed:  Closed Operating System:  None

Add a New Comment (Rich Markup)
   

You are not logged in

Please log in, so followups can be emailed to you.

 

Fri 24 Oct 2014 08:45:19 AM UTC, comment #1: 

I don't quite understand the proposal here. GnuTLS implements TLS 1.2 support several years now. SSLv23 is just a string for openssl that has no meaning in gnutls. If you want to use TLS 1.2 please read the gnutls manual. It is enabled by default.

Nikos Mavrogiannopoulos <nmav>
Project Administrator
Thu 23 Oct 2014 09:29:18 PM UTC, original submission:  

As the new poodle exploit is out.
Please implement SSLv23 with TLS1.2 support.

Error message;
Server does not support any of SSL 3.0, TLS 1.0 and TLS 1.1 and TLS 1.2

bitto <bitto>

 

(Note: upload size limit is set to 16384 kB, after insertion of the required escape characters.)

Attach Files:
   
   
Comment:
   

No files currently attached

 

Depends on the following items: None found

Items that depend on this one: None found

 

Carbon-Copy List
  • -email is unavailable- added by nmav (Posted a comment)
  • -email is unavailable- added by bitto (Submitted the item)
  • -email is unavailable- added by bitto
  •  

    Do you think this task is very important?
    If so, you can add your encouragement to it.
    This task has 0 encouragements so far.

    Only logged-in users can vote.

     

     

     

    Follow 3 latest changes.

    Date Changed by Updated Field Previous Value => Replaced by
    2014-10-24 nmav StatusNone => Invalid
        Open/ClosedOpen => Closed
    2014-10-23 bitto Carbon-Copy- => Added -email is unavailable-

    Back to the top


    Powered by Savane 3.7